fop 1.1

## org.apache.fop.fo.extensions.xmp
Class RDFElement

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.fo.extensions.xmp.AbstractMetadataElement
              org.apache.fop.fo.extensions.xmp.RDFElement

All Implemented Interfaces:
  java.lang.Cloneable, java.util.EventListener, ContentHandlerFactory.ObjectBuiltListener

    public class RDFElement

extends AbstractMetadataElement

Represents the top-level "RDF" element used by XMP metadata.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Constructor Summary
`RDFElement(FONode parent)` Main constructor.

Method Summary
`java.lang.String` `getLocalName()` Returns the local name (i.e.
`java.lang.String` `getNamespaceURI()` Returns the namespace URI for this node
`java.lang.String` `getNormalNamespacePrefix()` Returns the normally used namespace prefix for this node

Methods inherited from class org.apache.fop.fo.extensions.xmp.AbstractMetadataElement
`getContentHandlerFactory, getExtensionAttachment, notifyObjectBuilt`

Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, characters, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, endOfNode, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getUserAgent, inMarker, invalidChildError, invalidChildError, isBidiRangeBlockItem, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, processNode, removeChild, setLocator, setStructureTreeElement, startOfNode, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFElement

    public RDFElement(FONode parent)

  Main constructor.

  Parameters:
    `parent` - the parent formatting object

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  Returns the local name (i.e. without namespace prefix) of the node

  Specified by:
    `getLocalName` in class `FONode`
  Returns:
    the local name of this node

### getNormalNamespacePrefix

    public java.lang.String getNormalNamespacePrefix()

  Returns the normally used namespace prefix for this node

  Specified by:
    `getNormalNamespacePrefix` in class `FONode`
  Returns:
    the normally used namespace prefix for this kind of node (ex. "fo" for XSL-FO)

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns the namespace URI for this node

  Overrides:
    `getNamespaceURI` in class `FONode`
  Returns:
    the namespace URI for this node

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.